This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 804631 - continuous scrolling in one window make other unusable
continuous scrolling in one window make other unusable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 09:27 EDT by Tomasz Torcz
Modified: 2013-08-01 13:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:48:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomasz Torcz 2012-03-19 09:27:16 EDT
Description of problem:
My workspace consist of two gnome-terminal window. One with multiple tabs as main working space and second window displaying colorized log files. Basically, second window runs "tail /var/log/various,files | ccze -A".
When there is a lot of log activity, second window scrolls most of the time. In such situation text input/output in other windows is delayed a lot. It feels like there is even one second of delay between pressing keys and reaction. For local shell this is unacceptable. Especially that text input/output in *other windows* is affected.

As a workaround I open second tab on log window (so it has 2 tabs). When the scrolling occurs I use mouse to switch to the second, empty tab. This way text input/output is normal in other gnome-terminal windows.

So this behaviour only happens when the scrolling output is actually visible and displayed. Text is not laggy when the scrolling tab is not visible.

Version-Release number of selected component (if applicable):
gnome-terminal-3.3.0-1.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Open two gnome terminal windows
2. Start some application outputting lots of text like "hexdump /dev/urandom" in one window
3. Try to type/work in second window
  
Actual results:
Text input is laggy

Expected results:
First window should not affect second window.

Additional info:
Comment 1 Matthias Clasen 2012-04-19 21:57:14 EDT
This should be much better with gtk3-3.4.1-1.fc17
Comment 2 Tomasz Torcz 2012-05-02 05:47:56 EDT
Still happens with:
gtk3-3.4.1-1.fc17.x86_64
gnome-terminal-3.4.1.1-1.fc17.x86_64
vte-0.28.2-3.fc17.x86_64

reopening.
BTW, GPU is intel: 00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller
Comment 3 Fedora End Of Life 2013-07-04 02:16:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 13:48:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.